% ViPrice Toolbox 0.2
% Copyright (C) 2015  Peer Neubert, peer.neubert@etit.tu-chemnitz.de
% 
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
%
function starSim = demo(I1, I2)

  % TODO: set paths for toolboxes
  matconvnet_path = ''; % --> matconvnet-1.0-beta9, see http://www.vlfeat.org/matconvnet/
  vlFeat_path = ''; % --> vlfeat-0.9.20, see http://www.vlfeat.org/
  
  % prepare landmark detector/describer
  detector = SiftDetectorClass([], vlFeat_path);
  describer = CNNDescriptorClass(matconvnet_path);
  landmarks = LandmarksClass(detector, describer);

  % compute landmarks
  L1 = landmarks.getLandmarks(I1);
  L2 = landmarks.getLandmarks(I2);

  % prepare and run Star-Hough
  SH = StarHoughClass();
  starSim = SH.compareStarHough(L1, L2);
  
end



