% ViPrice Toolbox 0.2
% Copyright (C) 2015  Peer Neubert, peer.neubert@etit.tu-chemnitz.de
% 
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
%
% --------------------------------------------------
% 
% Draw a filled circle in the image
%
% I ... input image
% radius ... radius of the circle
% xc ... horizontal center coordinate
% yc ... vertical center coordinate
% value  ... resulting value of the circle pixels
%
function I = drawFilledCircleOnImage(I, radius, xc, yc, value)

    r2 = radius*radius;

    for ii = xc-int16(radius):xc+(int16(radius))
      for jj = yc-int16(radius):yc+(int16(radius))
        d =  (double(ii) - double(xc)).^2 + (double(jj) - double(yc)).^2;
        if d <= r2
          I(ii,jj)=value;
        end
      end
    end
    
end
